org.eclipse.viatra.query.patternlanguage.emf.vql

## Enum ParameterDirection

- java.lang.Object
- - java.lang.Enum<ParameterDirection>
  - - org.eclipse.viatra.query.patternlanguage.emf.vql.ParameterDirection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ParameterDirection>, org.eclipse.emf.common.util.Enumerator

      public enum ParameterDirection
      extends java.lang.Enum<ParameterDirection>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Parameter Direction', and utility methods for working with them.
  See Also:
    `PatternLanguagePackage.getParameterDirection()`
  Generated:
  Model:

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IN` The 'In' literal object.
    `INOUT` The 'Inout' literal object.
    `OUT` The 'Out' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `IN_VALUE` The 'In' literal value.
    `static int` | `INOUT_VALUE` The 'Inout' literal value.
    `static int` | `OUT_VALUE` The 'Out' literal value.
    `static java.util.List<ParameterDirection>` | `VALUES` A public read-only list of all the 'Parameter Direction' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParameterDirection` | `get(int value)` Returns the 'Parameter Direction' literal with the specified integer value.
    `static ParameterDirection` | `get(java.lang.String literal)` Returns the 'Parameter Direction' literal with the specified literal value.
    `static ParameterDirection` | `getByName(java.lang.String name)` Returns the 'Parameter Direction' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static ParameterDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ParameterDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INOUT

          public static final ParameterDirection INOUT

      The 'Inout' literal object.
      See Also:
        `INOUT_VALUE`
      Generated:
      Ordered:

    - #### IN

          public static final ParameterDirection IN

      The 'In' literal object.
      See Also:
        `IN_VALUE`
      Generated:
      Ordered:

    - #### OUT

          public static final ParameterDirection OUT

      The 'Out' literal object.
      See Also:
        `OUT_VALUE`
      Generated:
      Ordered:

  - ### Field Detail

    - #### INOUT_VALUE

          public static final int INOUT_VALUE

      The 'Inout' literal value.

      If the meaning of 'Inout' literal object isn't clear, there really should be more of a description here...

      See Also:
        `INOUT`, Constant Field Values
      Generated:
      Ordered:
      Model:
        name="inout"

    - #### IN_VALUE

          public static final int IN_VALUE

      The 'In' literal value.

      If the meaning of 'In' literal object isn't clear, there really should be more of a description here...

      See Also:
        `IN`, Constant Field Values
      Generated:
      Ordered:
      Model:
        name="in"

    - #### OUT_VALUE

          public static final int OUT_VALUE

      The 'Out' literal value.

      If the meaning of 'Out' literal object isn't clear, there really should be more of a description here...

      See Also:
        `OUT`, Constant Field Values
      Generated:
      Ordered:
      Model:
        name="out"

    - #### VALUES

          public static final java.util.List<ParameterDirection> VALUES

      A public read-only list of all the 'Parameter Direction' enumerators.
      Generated:

  - ### Method Detail

    - #### values

          public static ParameterDirection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParameterDirection c : ParameterDirection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParameterDirection valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static ParameterDirection get(java.lang.String literal)

      Returns the 'Parameter Direction' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### getByName

          public static ParameterDirection getByName(java.lang.String name)

      Returns the 'Parameter Direction' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### get

          public static ParameterDirection get(int value)

      Returns the 'Parameter Direction' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<ParameterDirection>`
      Generated: